document.addEventListener("DOMContentLoaded", function() {
    // Retrieve the rowData from the session
    var rowData = sessionStorage.getItem('rowData');
    var rowDataObj = JSON.parse(rowData);
    // Log the rowDataObj to the console
    console.log(rowDataObj);
    
    //////Variables para el c谩lulo///
    const tic = rowDataObj["tic"];
    localStorage.setItem('tic', tic);
    const monto= rowDataObj["Monto a Aportar"];
    localStorage.setItem('monto', monto);
    const moda= rowDataObj["Modalidad de inversión"];
    localStorage.setItem('moda', moda);
    const monto_inicial= rowDataObj["Monto Inicial a Aportar"];
    localStorage.setItem('monto_inicial', monto_inicial);
    const plzo= rowDataObj["Plazo de aportaciones"];
    localStorage.setItem('months', plzo);
    const fechai= rowDataObj["Fecha de inicio"];
    localStorage.setItem('fechai', fechai);
    
    const tiempoTranscurrido = Date.now();
    const fecha = new Date(tiempoTranscurrido)
    var options = { weekday: 'long', year: 'numeric', month: 'long', day: 'numeric' };
    //const hoy = fecha.getDate();
    const formattedDate = fecha.toLocaleDateString('es-ES', options);
    document.getElementById('hoy').textContent = formattedDate
    document.getElementById('hoy2').textContent = formattedDate
    document.getElementById('hoy3').textContent = formattedDate
    document.getElementById('hoy4').textContent = formattedDate
    
    
    // Unpack each variable
    const nombrePF = rowDataObj["Nombre completo"].replace(/,/g, '');
    document.getElementById("nombre").textContent = nombrePF;
    document.getElementById("nombre2").textContent = nombrePF;
    document.getElementById("nombre3").textContent = nombrePF;
    document.getElementById("comprador").textContent = nombrePF;
    document.getElementById("denominacion").textContent = nombrePF;
    const edoCivil = rowDataObj["Estado Civil"];
    document.getElementById("estado_civil").textContent = ", estado civil " + edoCivil;
    const domicilio = rowDataObj["Domicilio"];
    document.getElementById("domicilio_comprador").textContent = domicilio;
    const mail = rowDataObj["Email"];
    document.getElementById("email_comprador").textContent = mail;
    const rfc = rowDataObj["RFC"];
    document.getElementById("rfc").textContent = rfc;
    const origen = rowDataObj["Lugar de origen"];
    document.getElementById("estado_origen").textContent = "Ser de nacionalidad Mexicana, originario de " + origen;
    
    
    const nacimiento = rowDataObj["Fecha de nacimiento"];
    console.log(nacimiento)
    const parts = nacimiento.split(/\s+/);
    const day = parts[0];
    const month = parts[1];
    const year = parts[2];
    const dateObject = new Date(`${year}-${month}-${day}`.replace(/-/g, '\/'));
    
    const nacimientoformatted = dateObject.toLocaleDateString('es-ES');
    document.getElementById("fecha_nacimiento").textContent = " lugar en que nacio en la fecha " + nacimientoformatted;
    const id = rowDataObj["ID"];
    document.getElementById("numero_contrato").textContent = id;
    document.getElementById("numero_contrato2").textContent = id;
    document.getElementById("numero_contrato3").textContent = id;
    document.getElementById("numero_contrato4").textContent = id;
    
    const dataempleo = rowDataObj["Datos de empleo"];
    const empleoparts = dataempleo.split(",");
    const empresa = empleoparts[0];
    document.getElementById("empresa").textContent = empresa;
    document.getElementById("empresa2").textContent = empresa;
    document.getElementById("empresa3").textContent = empresa;
    
    const numben = rowDataObj["\u00BFDesea designar beneficiarios de esta inversi\u00F3n?"];
    console.log("Beneficiarios:", numben)

    if (numben !== undefined && numben !== null) {
        if (numben == "1" ) {
            const ben1 = rowDataObj["Informaci\u00F3n Beneficiario 1"].replace(/,/g, '');
            console.log(ben1)
            document.getElementById("beneficiario1").textContent = ben1;
        } else if (numben == "2" || numben === "3 beneficiarios") {
            const ben1 = rowDataObj["Informaci\u00F3n Beneficiario 1"].replace(/,/g, '');
            console.log(ben1)
            document.getElementById("beneficiario1").textContent = ben1;
            const ben2 = rowDataObj["Informaci\u00F3n Beneficiario 2"].replace(/,/g, '');
            console.log(ben2)
            document.getElementById("beneficiario2").textContent = ben2;
        } else if (numben == "3") {
            const ben1 = rowDataObj["Informaci\u00F3n Beneficiario 1"].replace(/,/g, '');
            console.log(ben1)
            document.getElementById("beneficiario1").textContent = ben1;
            const ben2 = rowDataObj["Informaci\u00F3n Beneficiario 2"].replace(/,/g, '');
            console.log(ben2)
            document.getElementById("beneficiario2").textContent = ben2;
            const ben3 = rowDataObj["Informaci\u00F3n Beneficiario 3"].replace(/,/g, '');
            console.log(ben3)
            document.getElementById("beneficiario3").textContent = ben3;
        }
    } else {
        console.log("El valor de \u00BFDesea designar beneficiarios de esta inversi\u00F3n? es indefinido.");
    }
    });